Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2482 - sysklogd and diald hanging each other
Summary: sysklogd and diald hanging each other
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-02 13:10 UTC by aardvark
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-15 21:08:50 UTC


Attachments (Terms of Use)

Description aardvark 1999-05-02 13:10:17 UTC
I've encountered a problem in which sysklogd and diald are
hanging each other up.

I began with an install of Redhat 5.2.  I then brought it up
to date with the current patches.  Finally, I installed the
diald rpm from contrib at sunsite.  Version information is
as follows:

diald-0.16.4-1
sysklogd-1.3-26
kernel 2.0.36-3

When I boot the system, diald behaves as it should.  It
brings up the line when I ask for it, and takes it down a
few minutes later.  But after that, it stops working.  It
doesn't respond to requests anymore.  The interesting
thing is that if I restart sysklogd, the diald comes back to
life as soon as the restart takes place.

More interesting, and more likely related to a problem with
sysklogd, the system refuses to allow new logins to the
system until sysklogd is restarted, and halt and reboot will
not work, but Ctrl-Alt-Del will shut the system down-if I do
it twice.  Shutdown -n also works.

Now, for the more interesting part, I reinstalled sysklogd
again.  I used the same version, and didn't remove anything.
Now, the system appears to be functioning as it should.
Diald seems okay, as does sysklogd.

Comment 1 Jeff Johnson 1999-05-15 21:08:59 UTC
AFAICT this problem has been resolved. Please reopen if there is
still a problem.


Note You need to log in before you can comment on or make changes to this bug.